This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198404 - Package quota lacks IPv6 support
Package quota lacks IPv6 support
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Brock Organ
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:27 EDT by Peter Vrabec
Modified: 2008-08-21 07:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-21 07:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:27:57 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/quota-tools/rquota_svc.c:204:	if (!(h = gethostbyaddr((const char *)&(addr->sin_addr), sizeof(addr->sin_addr), AF_INET)))
/quota-tools/rquota_server.c:48:#define NETTYPE AF_INET
/quota-tools/svc_socket.c:39:	if ((sock = socket (AF_INET, type, protocol)) < 0) {
/quota-tools/svc_socket.c:53:	addr.sin_family = AF_INET;
Comment 1 Bug Zapper 2008-05-13 22:13:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ondrej Vasik 2008-08-21 07:46:04 EDT
After quick investigation by Kamil Dudka and me I'm closing that bugzilla CANTFIX. Those Ipv4 things are comming from sunrpc related parts of the sourcecode. sunrpc is coming from glibc, lacks IPv6 support and this support was rejected by glibc maintainers. They recommend usage of different RPC implementation (TI-RPC) for that and refuse any changes to sunrpc glibc module. Bugzilla against glibc requesting sunrpc IPv6 enhancement was closed deferred, so therefore CANTFIX at the moment, will check the possibility of libtirpc usage.

Note You need to log in before you can comment on or make changes to this bug.